import { View, Property } from '@nativescript/core';
export declare class SwiftUICommon extends View {
    static swiftUIEventEvent: string;
    data: any;
    swiftId: string;
}
export declare abstract class BaseUIDataDriver<ViewType extends SwiftUICommon = SwiftUICommon, DataType = unknown, ReceivedDataType = unknown> {
    protected owner: WeakRef<ViewType>;
    constructor(view: ViewType);
    updateData?(data: DataType): void;
    onEvent?(data: ReceivedDataType): void;
    abstract createNativeView(): UIView;
    registerEvents?(callback: (data: ReceivedDataType) => void): void;
    destroyNativeView?(): void;
}
export declare const dataProperty: Property<SwiftUICommon, any>;
export declare const swiftIdProperty: Property<SwiftUICommon, string>;
export interface OpenSceneOptions {
    /**
     * The id of the scene to open
     */
    id: string;
    /**
     * Whether the scene is immersive or not.
     * Only set this when you know the WindowGroup is defined with immersive style.
     */
    isImmersive?: boolean;
    /**
     * Any data bindings to pass to the scene.
     */
    data?: any;
}
