import { SwiftUICommon, BaseUIDataDriver, OpenSceneOptions } from './common';
import type { ISwiftUIProvider, RegistryCallback } from '.';
export * from './common';
export declare function registerSwiftUI(id: string, callback: RegistryCallback): void;
export declare class UIDataDriver extends BaseUIDataDriver<SwiftUI> {
    private swiftUIProvider;
    constructor(swiftUIProvider: ISwiftUIProvider, owner: SwiftUI);
    createNativeView(): UIView;
    registerEvents(callback: any): void;
    updateData(data: any): void;
    onEvent(data: any): void;
}
export declare class SwiftUI extends SwiftUICommon {
    private driver;
    createNativeView(): UIView;
    initNativeView(): void;
    disposeNativeView(): void;
    updateData(data: Record<string, any>): void;
}
export declare function openScene(options: OpenSceneOptions): void;
export declare function updateScene(options: OpenSceneOptions): void;
